uuid: 9c749ba4-2b39-40ba-8bf2-31707ece7d82
langcode: en
status: true
dependencies: {  }
id: gronze_media_vimeo
class: null
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - files
  - gronze
  - media_vimeo
  - level2
migration_group: gronze_files
label: 'Media vimeo migration from Gronze D7'
source:
  plugin: d7_file_entity_item_gronze
  scheme: vimeo
  type: video
  high_water_property:
    name: fid
    alias: fm
process:
  langcode:
    plugin: default_value
    default_value: es
  field_media_oembed_video:
    plugin: str_replace
    source: uri
    search: 'vimeo://v/'
    replace: 'https://vimeo.com/'
  field_tags:
    plugin: sub_process
    source: field_tags
    process:
      target_id:
        plugin: migration_lookup
        migration: gronze_taxonomy_tags
        source: tid
        no_stub: true
  status: status
  created: timestamp
  changed: timestamp
  uid:
    plugin: migration_lookup
    migration: gronze_user_accounts
    source: uid
    no_stub: true
destination:
  plugin: 'entity:media'
  default_bundle: remote_video
migration_dependencies:
  required:
    - gronze_taxonomy_tags
